Index: de.wigbels.ruby/hotcoldrain/daemon_run.rb
===================================================================
--- de.wigbels.ruby/hotcoldrain/daemon_run.rb	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
+++ de.wigbels.ruby/hotcoldrain/daemon_run.rb	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
@@ -0,0 +1,7 @@
+#!/usr/bin/env ruby
+
+require 'rubygems'
+require 'daemons'
+
+mypath = File.expand_path(File.dirname(__FILE__))
+Daemons.run("#{mypath}/hotcoldrain.rb")
Index: de.wigbels.ruby/hotcoldrain/draw_graphs.sh
===================================================================
--- de.wigbels.ruby/hotcoldrain/draw_graphs.sh	(revision af9afafdeeab6cf9a9b61816608b39c17f535bd2)
+++ de.wigbels.ruby/hotcoldrain/draw_graphs.sh	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
@@ -3,7 +3,7 @@
 rrdtool graph web/temperatur_1tag.png -w 800 -h 500 -s 'now - 1 day' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:temps9=weather.rrd:temps9:AVERAGE LINE2:temps9#4e9a06:"Temperatur aussen"
 
-rrdtool graph web/temperatur_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:temps9=weather.rrd:temps9:AVERAGE LINE2:temps9#4e9a06:"Temperatur aussen"
+rrdtool graph web/temperatur_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen"
 
-rrdtool graph web/temperatur_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:temps9=weather.rrd:temps9:AVERAGE LINE2:temps9#4e9a06:"Temperatur aussen"
+rrdtool graph web/temperatur_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen"
 
 
@@ -15,3 +15,14 @@
 
 
-rrdtool graph web/regen_1monat.png -s 'now - 1 month' -e 'now' -v mm/Tag DEF:rains9=weather.rrd:rains9:AVERAGE CDEF:rainpd=rains9,3600,*,24,*,0.295,* CDEF:rainpm=rainpd,30,* VDEF:totalrain=rainpm,AVERAGE GPRINT:totalrain:"Total %6.0lf mm/Monat" LINE2:rainpd#0000FF
+rrdtool graph web/regen_1tag.png -w 800 -h 500 -s 'now - 1 day' -e 'now' -v mm/Stunde DEF:rains9=weather.rrd:rains9:AVERAGE CDEF:rainph=rains9,3600,*,1,*,0.295,* CDEF:rainpd=rainph,24,* VDEF:totalrain=rainpd,AVERAGE GPRINT:totalrain:"Total %6.0lf mm/Tag" LINE2:rainph#729fcf
+
+rrdtool graph web/regen_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' -v mm/Stunde DEF:rains9=weather.rrd:rains9:AVERAGE CDEF:rainph=rains9,3600,*,1,*,0.295,* CDEF:rainpw=rainph,168,* VDEF:totalrain=rainpw,AVERAGE GPRINT:totalrain:"Total %6.0lf mm/Woche" LINE2:rainph#729fcf
+
+rrdtool graph web/regen_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' -v mm/Tag DEF:rains9=weather.rrd:rains9:AVERAGE CDEF:rainpd=rains9,3600,*,24,*,0.295,* CDEF:rainpm=rainpd,30,* VDEF:totalrain=rainpm,AVERAGE GPRINT:totalrain:"Total %6.0lf mm/Monat" LINE2:rainpd#729fcf
+
+
+rrdtool graph web/wind_1tag.png -w 800 -h 500 -s 'now - 1 day' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
+
+rrdtool graph web/wind_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
+
+rrdtool graph web/wind_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
Index: de.wigbels.ruby/hotcoldrain/hotcoldrain.rb
===================================================================
--- de.wigbels.ruby/hotcoldrain/hotcoldrain.rb	(revision af9afafdeeab6cf9a9b61816608b39c17f535bd2)
+++ de.wigbels.ruby/hotcoldrain/hotcoldrain.rb	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
@@ -21,9 +21,10 @@
 #------------------------------------------
 class HotColdRain < Logger::Application
-  attr_accessor :temp1, :humidity1, :serialport
+  attr_accessor :temp1, :humidity1, :serialport, :mypath
 
   def initialize(application_name)
     super(application_name)
     @serialport = SerialPort.new("/dev/ttyUSB0", 9600, 8, 1, SerialPort::NONE)
+    @mypath = File.expand_path(File.dirname(__FILE__))
   end
 
@@ -62,5 +63,5 @@
         rrddata = 'N:'+datagrams.join(':')
 
-        system("rrdtool update weather.rrd #{rrddata}")
+        system("rrdtool update #{mypath}/weather.rrd #{rrddata}")
 
         MQTT::Client.connect('mqtt://notwist:pixies@wigbels.net') do |c|
Index: de.wigbels.ruby/hotcoldrain/info/created_rrd_through
===================================================================
--- de.wigbels.ruby/hotcoldrain/info/created_rrd_through	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
+++ de.wigbels.ruby/hotcoldrain/info/created_rrd_through	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
@@ -0,0 +1,26 @@
+rrdtool create weather.rrd --step 900 \
+DS:temps1:GAUGE:1200:-40:50 \
+DS:temps2:GAUGE:1200:-40:50 \
+DS:temps3:GAUGE:1200:-40:50 \
+DS:temps4:GAUGE:1200:-40:50 \
+DS:temps5:GAUGE:1200:-40:50 \
+DS:temps6:GAUGE:1200:-40:50 \
+DS:temps7:GAUGE:1200:-40:50 \
+DS:temps8:GAUGE:1200:-40:50 \
+DS:hums1:GAUGE:1200:0:100 \
+DS:hums2:GAUGE:1200:0:100 \
+DS:hums3:GAUGE:1200:0:100 \
+DS:hums4:GAUGE:1200:0:100 \
+DS:hums5:GAUGE:1200:0:100 \
+DS:hums6:GAUGE:1200:0:100 \
+DS:hums7:GAUGE:1200:0:100 \
+DS:hums8:GAUGE:1200:0:100 \
+DS:temps9:GAUGE:1200:-40:50 \
+DS:hums9:GAUGE:1200:0:100 \
+DS:winds9:GAUGE:1200:0:200 \
+DS:rains9:DERIVE:1200:0:U \
+DS:israins9:GAUGE:1200:0:1 \
+RRA:AVERAGE:0.5:1:960 \
+RRA:MIN:0.5:96:3600 \
+RRA:MAX:0.5:96:3600 \
+RRA:AVERAGE:0.5:96:3600
Index: de.wigbels.ruby/hothotread/daemon_run.rb
===================================================================
--- de.wigbels.ruby/hothotread/daemon_run.rb	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
+++ de.wigbels.ruby/hothotread/daemon_run.rb	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
@@ -0,0 +1,7 @@
+#!/usr/bin/env ruby
+
+require 'rubygems'
+require 'daemons'
+
+mypath = File.expand_path(File.dirname(__FILE__))
+Daemons.run("#{mypath}/hothotpiper.rb")
Index: de.wigbels.ruby/hothotread/draw_graphs.sh
===================================================================
--- de.wigbels.ruby/hothotread/draw_graphs.sh	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
+++ de.wigbels.ruby/hothotread/draw_graphs.sh	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+rrdtool graph gastest.png -w 800 -h 500 -s 'now - 1 day' -e 'now' DEF:gas=energy.rrd:gas:AVERAGE LINE2:gas#204a87:"Gas Liter" 
Index: de.wigbels.ruby/hothotread/hothotpiper.rb
===================================================================
--- de.wigbels.ruby/hothotread/hothotpiper.rb	(revision af9afafdeeab6cf9a9b61816608b39c17f535bd2)
+++ de.wigbels.ruby/hothotread/hothotpiper.rb	(revision daaef3e2a031eee57a508d47d9555a5c3ae164df)
@@ -18,5 +18,4 @@
 $SAFE=0
 
-
 #------------------------------------------
 require 'net/http'
@@ -25,8 +24,11 @@
 include PiPiper
 
+@mypath = File.expand_path(File.dirname(__FILE__))
+
 
 watch :pin => 4, :trigger => :falling do 
   puts('added 10 liter of gas to sensor-database')
   Net::HTTP.get(URI.parse('http://www.wigbels.net/cgi-bin/hhw.rb?sensorid=1&data=10'))
+  system("rrdtool update #{@mypath}/energy.rrd N:10:U:U")
 end
 
